package com.mortals.xhx.modules.call.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:CallRecord
* date: 2021-8-12 14:15:33
*/
public class CallRecordQuery extends CallRecordEntity{
    private static final long serialVersionUID = 1628748933890L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;

    /** 开始 办件id */
    private Long pieceIdStart;

    /** 结束 办件id */
    private Long pieceIdEnd;

    /** 增加 办件id */
    private Long pieceIdIncrement;

    /** 办件id */
    private List <Long> pieceIdList;


    /** 当前步骤名称 */
    private List<String> currentStepNameList;

    /** 当前步骤编码 */
    private List<String> currentStepCodeList;

    /** 传入报文 */
    private List<String> incomingMessageList;

    /** 返回报文 */
    private List<String> returnMessageList;
    /** 开始 接口调用时间 */
    private String interfaceCallTimeStart;

    /** 结束 接口调用时间 */
    private String interfaceCallTimeEnd;

    /** 调用状态 */
    private List<String> interfaceCallStatusList;

    /** 系统编码 */
    private List<String> systemCodeList;
    /** 开始 创建时间 */
    private String createDateStart;

    /** 结束 创建时间 */
    private String createDateEnd;
    /** 开始 更新时间 */
    private String updateDateStart;

    /** 结束 更新时间 */
    private String updateDateEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CallRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CallRecordQuery> andConditionList;


    public CallRecordQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 办件id
    * @return pieceIdStart
    */
    public Long getPieceIdStart(){
    return this.pieceIdStart;
    }

    /**
    * 设置 开始 办件id
    * @param pieceIdStart
    */
    public void setPieceIdStart(Long pieceIdStart){
    this.pieceIdStart = pieceIdStart;
    }

    /**
    * 获取 结束 办件id
    * @return pieceIdEnd
    */
    public Long getPieceIdEnd(){
    return this.pieceIdEnd;
    }

    /**
    * 设置 结束 办件id
    * @param pieceIdEnd
    */
    public void setPieceIdEnd(Long pieceIdEnd){
    this.pieceIdEnd = pieceIdEnd;
    }

    /**
    * 获取 增加 办件id
    * @return pieceIdIncrement
    */
    public Long getPieceIdIncrement(){
    return this.pieceIdIncrement;
    }

    /**
    * 设置 增加 办件id
    * @param pieceIdIncrement
    */
    public void setPieceIdIncrement(Long pieceIdIncrement){
    this.pieceIdIncrement = pieceIdIncrement;
    }

    /**
    * 获取 办件id
    * @return pieceIdList
    */
    public List<Long> getPieceIdList(){
    return this.pieceIdList;
    }

    /**
    * 设置 办件id
    * @param pieceIdList
    */
    public void setPieceIdList(List<Long> pieceIdList){
        this.pieceIdList = pieceIdList;
        }
    /**
    * 获取 当前步骤名称
    * @return currentStepNameList
    */
    public List<String> getCurrentStepNameList(){
        return this.currentStepNameList;
    }

    /**
    * 设置 当前步骤名称
    * @param currentStepNameList
    */
    public void setCurrentStepNameList(List<String> currentStepNameList){
        this.currentStepNameList = currentStepNameList;
    }
    /**
    * 获取 当前步骤编码
    * @return currentStepCodeList
    */
    public List<String> getCurrentStepCodeList(){
        return this.currentStepCodeList;
    }

    /**
    * 设置 当前步骤编码
    * @param currentStepCodeList
    */
    public void setCurrentStepCodeList(List<String> currentStepCodeList){
        this.currentStepCodeList = currentStepCodeList;
    }
    /**
    * 获取 传入报文
    * @return incomingMessageList
    */
    public List<String> getIncomingMessageList(){
        return this.incomingMessageList;
    }

    /**
    * 设置 传入报文
    * @param incomingMessageList
    */
    public void setIncomingMessageList(List<String> incomingMessageList){
        this.incomingMessageList = incomingMessageList;
    }
    /**
    * 获取 返回报文
    * @return returnMessageList
    */
    public List<String> getReturnMessageList(){
        return this.returnMessageList;
    }

    /**
    * 设置 返回报文
    * @param returnMessageList
    */
    public void setReturnMessageList(List<String> returnMessageList){
        this.returnMessageList = returnMessageList;
    }
    /**
    * 获取 开始 接口调用时间
    * @return interfaceCallTimeStart
    */
    public String getInterfaceCallTimeStart(){
    return this.interfaceCallTimeStart;
    }

    /**
    * 设置 开始 接口调用时间
    * @param interfaceCallTimeStart
    */
    public void setInterfaceCallTimeStart(String interfaceCallTimeStart){
    this.interfaceCallTimeStart = interfaceCallTimeStart;
    }

    /**
    * 获取 结束 接口调用时间
    * @return interfaceCallTimeEnd
    */
    public String getInterfaceCallTimeEnd(){
    return this.interfaceCallTimeEnd;
    }

    /**
    * 设置 结束 接口调用时间
    * @param interfaceCallTimeEnd
    */
    public void setInterfaceCallTimeEnd(String interfaceCallTimeEnd){
    this.interfaceCallTimeEnd = interfaceCallTimeEnd;
    }
    /**
    * 获取 调用状态
    * @return interfaceCallStatusList
    */
    public List<String> getInterfaceCallStatusList(){
        return this.interfaceCallStatusList;
    }

    /**
    * 设置 调用状态
    * @param interfaceCallStatusList
    */
    public void setInterfaceCallStatusList(List<String> interfaceCallStatusList){
        this.interfaceCallStatusList = interfaceCallStatusList;
    }
    /**
    * 获取 系统编码
    * @return systemCodeList
    */
    public List<String> getSystemCodeList(){
        return this.systemCodeList;
    }

    /**
    * 设置 系统编码
    * @param systemCodeList
    */
    public void setSystemCodeList(List<String> systemCodeList){
        this.systemCodeList = systemCodeList;
    }
    /**
    * 获取 开始 创建时间
    * @return createDateStart
    */
    public String getCreateDateStart(){
    return this.createDateStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createDateStart
    */
    public void setCreateDateStart(String createDateStart){
    this.createDateStart = createDateStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createDateEnd
    */
    public String getCreateDateEnd(){
    return this.createDateEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createDateEnd
    */
    public void setCreateDateEnd(String createDateEnd){
    this.createDateEnd = createDateEnd;
    }
    /**
    * 获取 开始 更新时间
    * @return updateDateStart
    */
    public String getUpdateDateStart(){
    return this.updateDateStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateDateStart
    */
    public void setUpdateDateStart(String updateDateStart){
    this.updateDateStart = updateDateStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateDateEnd
    */
    public String getUpdateDateEnd(){
    return this.updateDateEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateDateEnd
    */
    public void setUpdateDateEnd(String updateDateEnd){
    this.updateDateEnd = updateDateEnd;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CallRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CallRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CallRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CallRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}